Retrieve test result list
A list of all results for a given test, including results and those currently in progress.
Returns a list of test results.
Retrieve test result list
curl 'https://api.runscope.com/buckets/<bucket_key>/tests/<test_id>/results' \
-H 'Authorization: Bearer <access_token>'
Test result list request parameters
Attributes
-
countintegerMaximum number of test results to return. Defaults to 10 if not specified. Maximum value is 50
-
sincefloatExclusive
Only return test results started after the given Unix timestamp
-
beforefloatExclusive
Only return test results started before the given Unix timestamp
-
subtestsbooleanIf true, returns the subtest information
Response200 OK
{
"data": [
{
"agent": null,
"assertions_defined": 2,
"assertions_failed": 0,
"assertions_passed": 2,
"bucket_key": "6knqwmwvqpzr",
"finished_at": 1406061608.506811,
"region": "us1",
"requests_executed": 1,
"result": "pass",
"scripts_defined": 2,
"scripts_failed": 0,
"scripts_passed": 2,
"started_at": 1406036406.68105,
"test_run_id": "0aa48464-f89e-4596-8d60-79bc678d313f",
"parent_test_uuid": "b4b0595a-9064-4c36-ac5b-efeeb69583a2",
"test_run_url": "https://api.runscope.com/buckets/6knqwmwvqpzr/tests/db4cc896-2804-4520-ad06-0caf3bf216a8/results/0aa48464-f89e-4596-8d60-79bc678d313f",
"test_id": "db4cc896-2804-4520-ad06-0caf3bf216a8",
"variables_defined": 2,
"variables_failed": 0,
"variables_passed": 2,
"environment_id": "abcdc896-2804-4520-ad06-0caf3bf216a8",
"environment_name": "My Test Environment"
"run_by": "John Doe"
"subtests_count": 0,
"subtests_passed": 0,
"subtests_failed": 0,
"subtests_others": 0,
"agent_expired": false,
"subtest_detail": {
"name": null,
"note": null,
"result": null,
"test_uuid": null,
"test_run_uuid": null,
"test_run_url": null,
"started_at": null,
"finished_at": null
}
],
"error": null
}